(
function () {
  'use strict'
   initAos();
   linkCollapse();
   setForms();
   tinySlider(); 

function initAos(){
    if (window.innerWidth < 768) {
        [].slice.call(document.querySelectorAll('[data-bss-disabled-mobile]')).forEach(function (elem) {
            elem.classList.remove('animated');
            elem.removeAttribute('data-bss-hover-animate');
            elem.removeAttribute('data-aos');
        });
    }

    document.addEventListener('DOMContentLoaded', function() {
        AOS.init();
    }, false);
}
/********Toggle expandable menu after click ************/
 function linkCollapse(){
    const navLinks = document.querySelectorAll('.nav-item')
    const menuToggle = document.getElementById('nav_link_sections')
    const bsCollapse = new bootstrap.Collapse(menuToggle, {toggle:false})
    navLinks.forEach((l) => {
        l.addEventListener('click', () => { 
            if (window.innerWidth < 768) {bsCollapse.toggle()} 
        })
    })
 }
    

/******************Tiny Slider***************************/
function tinySlider(){
   var slider = tns({
    container: '.my-slider',
    autoHeight:false,   
    items: 1,
     mode:'carousel',
    slideBy: 1,
    animateIn: "goIn",
    animateOut: "goIn",
    mouseDrag: true,
    autoplay: false,
    controlsPosition: 'bottom',
    navPosition: 'bottom',
    controls:false,
    autoplayButtonOutput:false,
    speed: 2000, 
    onInit: resetHeight,
    responsive:{
           768: {
                items:2,
                }
               },
  });
    
slider.events.on('newBreakpointEnd', resetHeight)

}
/*Normalize heights of every item*/
function resetHeight(o){
   if(o.items >1){
       let lista = Array.from(o.slideItems);
        lista.forEach((v)=>v.style.removeProperty('height'));        
        }
}    
    
/*-----------------  Contact form routines    -----------------*/
function setForms(){    
 var form = document.querySelector('.needs-validation') 
 form.addEventListener('submit', function (event) {
    event.preventDefault()
    if (!form.checkValidity()) {
      event.stopPropagation()
    }
    else{
      sendForm(form);    
    }
    form.classList.add('was-validated')
    }, false)
}

function sendForm(form)
{
   const data = new FormData(form);
   fetch("post.php", {method:"POST", body: data})
       .then(function(response) {
              if (!response.ok) {
                  let vnt = document.getElementById('respForm');
                  let cont = vnt.querySelector('.modal-body');
                  cont.innerHTML="<p>Parece que hubo un error. Vuelva a intentarlo en unos minutos</p>";
                  vnt=bootstrap.Modal.getOrCreateInstance(vnt);
                  vnt.show();
                  }
              return response.text();
            })
       .then(function(data) {
              
              let vnt = document.getElementById('respForm');
              let cont = vnt.querySelector('.modal-body');
              if(data == 'ok'){
                cont.innerHTML="<p>Thanks you for contacting me</p>";
              }
              else{
                cont.innerHTML="<p>Oh, There was an error. Please, try again later. "+data+"</p>";
              }
              vnt=bootstrap.Modal.getOrCreateInstance(vnt);
              vnt.show();
            })
   }
 
})()

