/*****************************************/
class progressCircle{
    constructor(objDom){
        this.numb = objDom.querySelector(".number");
        this.total = parseInt(objDom.dataset.value);
        this.right = objDom.querySelector(".right .filling");
        this.left = objDom.querySelector(".left .filling");
        
        this.counter = 0;
        this.timer = null;
    }
    reset(){
        this.right.style.transform = 'rotate(0deg)';
        this.left.style.transform = 'rotate(0deg)';
        this.counter=0;
    }
    play(){

        this.timer = setInterval((o) => {
              if(o.counter == o.total || o.counter>100){
                clearInterval(o.timer);
              }else{
                o.numb.textContent = ++o.counter + "%";
                let rotate = o.counter*3.6
                if(rotate  <= 180)
                    o.left.style.transform ='rotate('+rotate+'deg)';
                if (rotate >= 179)    
                    o.right.style.transform = 'rotate('+(rotate-179)+'deg)';
                }
            }, 10, this);
    }
}
function initCircle(){
    const circles = document.querySelectorAll(".progressCircle");
    circles.forEach((obj)=>{
               if(obj.circle == undefined){
                    obj.circle = new progressCircle(obj);
                }
               else{
                   obj.circle.reset()
               }
               obj.circle.play();                           
        })
}

const observer = new IntersectionObserver(entries => {
  // Loop over the entries
  entries.forEach(entry => {
    // If the element is visible
    if (entry.isIntersecting) {
      // Play bar
      initCircle();
    }
  });
});

observer.observe(document.querySelector('.progressCircle'),  {threshold: 1}); 